<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.DiskMountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.DiskMount">
        <id column="disk_mount_id" property="diskMountId" />
        <result column="create_time" property="createTime" />
        <result column="sys_host_id" property="sysHostId" />
        <result column="disk_fs" property="diskFs" />
        <result column="size_kb" property="sizeKb" />
        <result column="used_kb" property="usedKb" />
        <result column="avail_kb" property="availKb" />
        <result column="use_ratio" property="useRatio" />
        <result column="mount_point" property="mountPoint" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, sys_host_id, disk_fs, size_kb, used_kb, avail_kb, use_ratio, mount_point, disk_mount_id, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
